How can I upgrade from Joomla 2.5 to Joomla 3

If you are using version 3.5 of Ignite Gallery or above, you do not need to do anything, you can update Joomla, and the gallery will work after the update.

If you are using a gallery version that is less than version 3.5, please update Joomla to version 3 first, then install the latest version of ignite gallery through Joomla's extension manager. The gallery will work, and all your data will be kept.